.app-overlay {
    display: flex;
    position: fixed;
    width: 100vw;
    height: 100vh;
    top: 0;
    left: 0;
    color: var(--text-color);
    z-index: 1001;
    justify-content: center;
    align-items: center;

    input {
        box-shadow: none;
    }

    .overlay-main {
        position: relative;
        flex-direction: column;
        display: flex;
        margin: 0 auto;
    }

    .overlay-background {
        /* modal background fixed across whole screen */
        position: fixed;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;

        /* semi-transparent black  */
        background-color: #505050;
        opacity: 0.75;
    }

    &.overlay-popover {

        .overlay-main {
            position: absolute;
        }

        .overlay-background {
            background-color: transparent;
        }
    }
}
